#### Beyond Linux® From Scratch (System V Edition) - Version r12.2-875

### Chapter 9. General Libraries

- Prev

  libuv-1.49.2

- Next

  libxml2-2.13.5

- Up
- Home

# libxkbcommon-1.7.0

## Introduction to libxkbcommon

libxkbcommon is a keymap compiler and support library which processes a reduced subset of keymaps as defined by the XKB specification.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://xkbcommon.org/download/libxkbcommon-1.7.0.tar.xz

- Download MD5 sum: b05b1a0d473189efb2dd995dd944f152

- Download size: 524 KB

- Estimated disk space required: 26 MB (with tests)

- Estimated build time: 0.5 SBU (with tests)

### libxkbcommon Dependencies

#### Required

xkeyboard-config-2.43 (runtime)

#### Recommended

libxcb-1.17.0, Wayland-1.23.0, and wayland-protocols-1.38

#### Optional

Doxygen-1.12.0 (for generating the documentation) and Xvfb (from Xorg-Server-21.1.14 or Xwayland-24.1.4)

## Installation of libxkbcommon

Install libxkbcommon by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..             \
          --prefix=/usr        \
          --buildtype=release  \
          -D enable-docs=false &&
    ninja

To test the results, ensure Xvfb and xkeyboard-config-2.43 are available, then issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D enable-docs=true`: This switch enables documentation generation. The Doxygen-1.12.0 is required.

mv -v /usr/share/doc/libxkbcommon{,-1.7.0}: If you built the documentation, use this command to install it in a versioned directory.

## Contents

Installed Programs: xkbcli
Installed Libraries: libxkbcommon.so, libxkbcommon-x11.so, and libxkbregistry.so
Installed Directories: /usr/include/xkbcommon, /usr/libexec/xkbcommon, and /usr/share/doc/libxkbcommon-1.7.0

### Short Descriptions

xkbcli | provides a debugger and compiler for XKB keymaps
`libxkbcommon.so` | contains the libxkbcommon API functions
`libxkbcommon-x11.so` | contains the libxkbcommon X11 specific API functions
`libxkbregistry.so` | contains a list of available XKB models, layouts, and variants for a given ruleset

- Prev

  libuv-1.49.2

- Next

  libxml2-2.13.5

- Up
- Home